BackendHTTP APISyncs

Delete sync variant

Requires an API key with the environment:syncs:variant:delete scope. Learn more about API key scopes.

DELETE
/sync/{name}/variant/{variant}

Deletes a sync variant for a specific connection

Authorization

bearerAuth
headerAuthorizationBearer <token>

An Environment API key from your Tenklo environment, or an Account API key for account-level endpoints.

Path Parameters

name*string

The name of the sync

variant*string

The name of the variant to delete. Cannot be "base" (protected name).

Request Body

application/json
  1. body
provider_config_key*string

The integration ID used when creating the connection

connection_id*string

The ID of the connection the sync variant belongs to

Response Body

Successfully deleted the sync variant

application/json
  1. response
success*boolean

Indicates if the deletion was successful

Example Request
curl -X DELETE 'https://api.tenklo.dev/sync/string/variant/string' \  -H 'Content-Type: application/json' \  -d '{  "provider_config_key": "string",  "connection_id": "string"}'
Example Response
{  "success": true}